List drive models for a server model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/drive_models

To find out available disk models, perform a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/drive_models endpoint. The location and server model IDs are mandatory path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all the server models in one location by sending a request described in the Server Model section.

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

media_type?string

This type defines what disk drives will be taken to the output: HDD or SSD.

Value in

  • "HDD"
  • "SSD"
interface?string

Disk interfaces to be displayed in the output.

Value in

  • "SATA1"
  • "SATA2"
  • "SATA3"
  • "SAS"
  • "NVMe-PCIe"
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Available values: id, name, interface, capacity, media_type.

Default"id"

Value in

  • "id"
  • "name"
  • "interface"
  • "capacity"
  • "media_type"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1591/order_options/server_models/2726/drive_models"
[  {    "id": 2723,    "name": "ssd-model-1581",    "capacity": 100,    "interface": "SATA3",    "form_factor": "2.5",    "media_type": "SSD"  },  {    "id": 2724,    "name": "hdd-model-1582",    "capacity": 100,    "interface": "SAS",    "form_factor": "2.5",    "media_type": "HDD"  }]
{  "message": "Not found",  "code": "NOT_FOUND"}